Subject: Bug#810401: avrdude: please switch to libusb 1.0

From: Milan Kupcevic <[email-masked]>
Date: Fri, 6 May 2016 23:26:32 -0400

Control: forwarded -1 https://savannah.nongnu.org/bugs/?43338
Control: block 810366 by -1

On 01/08/2016 01:35 PM, Aurelien Jarno wrote:

[...]

> 
> If avrdude supports the new libusb 1.0 library, please consider
> switching the build-depends from libusb-dev to libusb-1.0-0-dev. If not
> please inform upstream that porting the software to the new API is
> recommended.
> 

So far the upstream relies on "0.1 API compatibility wrapper".[0] The
libusb 0.1 API "is required by AVRDUDE in order to work with USB".[1]

Milan

[0] https://savannah.nongnu.org/bugs/?func=detailitem&item_id=41854#comment7
[1] https://savannah.nongnu.org/bugs/?func=detailitem&item_id=43338#comment1